<script setup>
    const props = defineProps({
        text: {
            type: String,
            required: true
        },
        id: {
            type: String,
            required: false
        },
        checked: {
            type: Boolean,
            default: false
        }
    });
    const emit = defineEmits(["checked"]);
</script>

<template>
    <div class="flex flex-row space-x-2 items-center">
        <input
            :id="`${id}`"
            @click="(e) => emit('checked', e.target.checked)"
            class="placeholder:text-black rounded-[10px] shadow-las"
            type="checkbox"
            :checked="checked"
        >
        <label class="ml-[2px]" :for="`${id}`">{{ text }}</label>
    </div>
</template>